Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class SortQualifier

    java.lang.Object
      oracle.ifs.common.SortQualifier

All Implemented Interfaces:
  java.io.Serializable

    public final class SortQualifier

extends java.lang.Object
implements java.io.Serializable

A SortQualifer encapsulates the specification of the sort of a single attribute.

One or more SortQualifiers is associated with a SortSpecification, to enable the creation of a SQL order by clause associated with various queries used in iFS.

See Also:
  Serialized Form
(Published)

Constructor Summary
`SortQualifier(java.lang.String sortAttr, boolean sortOrder)` Constructs a SortQualifier for a simple qualifier of Attribute and sort direction.
`SortQualifier(java.lang.String sortAttr, boolean sortOrder, java.lang.String sortClass, java.lang.String sortAlias, java.lang.String sqlFunction)` Construct a SortQualifier for complex qualifiers.

Method Summary
`java.lang.String` | `getAttributeName()` Gets the Attribute name.
`java.lang.String` | `getClassAlias()` Get the alias for the sort attribute's class
`java.lang.String` | `getClassName()` Gets the sort attribute's class name.
`protected java.lang.String` | `getColumnName()` Gets the column name that will be used for this qualifier.
`boolean` | `getSortOrder()` Gets the sort order.
`protected java.lang.String` | `getSqlFunction()` Get the SQL function to apply on this qualifier.
`protected void` | `resolve(LibrarySessionInterface sess, SortSpecification sortspec)` Resolve the column name to be used for this sort qualifier.
`protected void` | `unresolve()` Marks this instance as unresolved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortQualifier

    public SortQualifier(java.lang.String sortAttr,
                         boolean sortOrder)
                  throws IfsException

  Constructs a SortQualifier for a simple qualifier of Attribute and sort direction.

  The Attribute's ClassObject is assumed to be the default set on the parent SortSpecification. No class alias is used, nor is any SQL function applied to the qualifier.

  Parameters:
    `sortAttr` - the sort attribute name
    `sortOrder` - the corresponding sort order
  Throws:
    `IfsException` - if operation fails.
  (Published)

### SortQualifier

    public SortQualifier(java.lang.String sortAttr,
                         boolean sortOrder,
                         java.lang.String sortClass,
                         java.lang.String sortAlias,
                         java.lang.String sqlFunction)
                  throws IfsException

  Construct a SortQualifier for complex qualifiers.

  Parameters:
    `sortAttr` - the sort attribute name
    `sortOrder` - the corresponding sort order; true means ascending, false is desceding.
    `sortClass` - the sort attribute's class name
    `sortAlias` - an alias for the sort attribute's class
    `sqlFunction` - SQL function to apply to the qualifier, or null for no function
  Throws:
    `IfsException` - if operation fails.
  (Published)

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()
                                      throws IfsException

  Description copied from class: `SortQualifier`
  Gets the Attribute name.

  Returns:
    the sort attribute name
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSortOrder

    public boolean getSortOrder()
                         throws IfsException

  Description copied from class: `SortQualifier`
  Gets the sort order.

  If it returns true, ascending order is being used. If false, descending order is in use.

  Returns:
    the sort order
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getClassName

    public java.lang.String getClassName()
                                  throws IfsException

  Description copied from class: `SortQualifier`
  Gets the sort attribute's class name.

  Returns:
    the sort attribute's class name
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getClassAlias

    public java.lang.String getClassAlias()
                                   throws IfsException

  Description copied from class: `SortQualifier`
  Get the alias for the sort attribute's class

  Returns:
    alias for the sort attribute's class
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getColumnName

    protected java.lang.String getColumnName()
                                      throws IfsException

  Description copied from class: `SortQualifier`
  Gets the column name that will be used for this qualifier.

  Returns:
    the column name
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getSqlFunction

    protected java.lang.String getSqlFunction()
                                       throws IfsException

  Description copied from class: `SortQualifier`
  Get the SQL function to apply on this qualifier.

  Returns:
    the SQL function, or null is no function is to be applied
  Throws:
    `IfsException` - if operation fails.
  (Published)

### resolve

    protected void resolve(LibrarySessionInterface sess,
                           SortSpecification sortspec)
                    throws IfsException

  Description copied from class: `SortQualifier`
  Resolve the column name to be used for this sort qualifier.

  Parameters:
    `sess` - Session context
    `sortspec` - the referencing sort specification
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### unresolve

    protected void unresolve()

  Description copied from class: `SortQualifier`
  Marks this instance as unresolved.

  Clears the m_ColumnName and m_ClassName members only if the class wasn't specified explicitly.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD